List Funding Periods for a Budget
get
/public/v1/budgets/{budget}/periodsbudgetstringrequiredThe budget UUID
sortstringSort the results. Prefix with '-' for descending. One of: start_date, amount.
Example:start_datepage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of BudgetPeriodResource
dataobject[]required▶Show 4 child attributesHide child attributes
idstringrequiredExample:p1e2r3i4-o5d6-47a8-9b0c-1d2e3f4a5b6cstartstringrequiredExample:2026-01-01T00:00:00+00:00endstringrequiredExample:2026-06-30T00:00:00+00:00amountintegerrequiredExample:2500000
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error404Not found